# ]po[ XML-RPC Interface
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ XML-RPC Interface:

<p>This package is a wrapper for the <a href="/en/package-xml-rpc">xml-rpc</a> package. <p>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=933669&amp;path=packages/intranet-xmlrpc/tcl/intranet-xmlrpc-procs.tcl">tcl/intranet-xmlrpc-procs.tcl</a></b></td><td></td><td>Provides a XML-RPC interface to the ]project-open[ data model. </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=im_package_xmlrpc_id">im_package_xmlrpc_id</a></b></td><td></td><td>Returns the package id of the intranet-forum module </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=im_xmlrpc_get_user_id">im_xmlrpc_get_user_id</a></b></td><td></td><td>This is a private autentication routine in order to allow for special permissions to use XML-RPC </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.authenticate">sqlapi.authenticate</a></b></td><td></td><td>Takes an &quot;authinfo&quot; array and checks its validity. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.login">sqlapi.login</a></b></td><td></td><td>Returns an authentication token of the user provides us with a valid email/password </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.object_fields">sqlapi.object_fields</a></b></td><td></td><td>Retreives a list of all object fields, together with their SQL datatype. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.object_info">sqlapi.object_info</a></b></td><td></td><td>Retreives all information for an object of a given object type Returns: 1. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.object_types">sqlapi.object_types</a></b></td><td></td><td>Retreives a list of all object types in the system </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=933669&amp;proc=sqlapi.select">sqlapi.select</a></b></td><td></td><td>Retreives all information for an object of a given object type Returns: 1. </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/call-test-2.adp">call-test-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/call-test-2.tcl">call-test-2.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/call-test.adp">call-test.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/call-test.tcl">call-test.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/index.tcl">index.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/login-test-2.adp">login-test-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/login-test-2.tcl">login-test-2.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/login-test.adp">login-test.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/login-test.tcl">login-test.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-2.adp">select-test-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-2.tcl">select-test-2.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-3.adp">select-test-3.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-3.tcl">select-test-3.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-4.adp">select-test-4.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test-4.tcl">select-test-4.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test.adp">select-test.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=933669&amp;path=packages/intranet-xmlrpc/www/select-test.tcl">select-test.tcl</a></b></td><td>Autenticate the user and issue an auth-token that needs to be specified for every xmlrpc-request</td></tr></table>

